<template>
  <v-container
    id="regular-tables-view"
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-clipboard-text"
      icon-small
      title="Products Information"
      color="accent"
    >
      <v-simple-table>
        <thead>
          <tr>
            <th
              v-for="(item,index) in ProductProperties"
              :key="`key-${index}`"
              :class="{'text-right':index===financialProperties.length-1}"
            >
              {{ item }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="item in ProductsList"
            :key="`key-${item.ProductId}`"
            @click="gotoProductPage"
          >
            <th
              v-for="(value,index) of item"
              :key="`key2-${index}`"
              :class="{'text-right':index==='capital'}"
            >
              {{ value }}
            </th>
          </tr>
        </tbody>
      </v-simple-table>
    </material-card>

    <div class="py-3" />
  </v-container>
</template>

<script>
  import { showProducts } from '@/request/api.js'
  export default {
    name: 'FinancialProductsView',
    data () {
      return {
        // 创立一个properties1，用来设立这个表一共有多少列。
        // companyProperties: ['ID', 'CODE', 'NAME', 'CURRENCY', 'ASSET'],
        financialProperties: ['ID', 'NAME', 'DATE', 'ADDRESS', 'CAPITAL'],

        ProductProperties: ['Id', 'Provder', 'Code', 'Name', 'Currency', 'Asset',
                            'NetValue', 'FundManager', 'CreateTime'],

        financialList: [{
          id: '1',
          name: '广发基金管理有限公司',
          date: '2003-08-05',
          address: '广州',
          capital: '14097.8万',
        }, {
          id: '2',
          name: '博时基金管理有限公司',
          date: '1998-07-13',
          address: '深圳',
          capital: '25000.0万',
        }, {
          id: '3',
          name: '永赢基金管理有限公司',
          date: '2013-11-07',
          address: '宁波',
          capital: '90000.0万',
        }, {
          id: '4',
          name: '大成基金管理有限公司',
          date: '1999-04-12',
          address: '深圳',
          capital: '20000.0万',
        }, {
          id: '5',
          name: '诺安基金管理有限公司',
          date: '2003-12-09',
          address: '深圳',
          capital: '15000.0万',
        }, {
          id: '6',
          name: '中欧基金管理有限公司',
          date: '2006-07-19',
          address: '上海',
          capital: '22000.0万',
        },
        ],

        ProductsList: [
          {
            ProductId: 10000,
            productProvder: 11,
            productCode: 111,
            productName: '人寿',
            productCurrency: '人民币',
            productAsset: '规模',
            productNetValue: '净值',
            productFundManager: 'nobody',
            productCreateTime: '成立时间',
          },
          {
            ProductId: 10001,
            productProvder: 22,
            productCode: 222,
            productName: '人寿2',
            productCurrency: '人民币',
            productAsset: '规模',
            productNetValue: '净值',
            productFundManager: 'nobody',
            productCreateTime: '成立时间',
          },
          {
            ProductId: 10002,
            productProvder: 22,
            productCode: 222,
            productName: '人寿2',
            productCurrency: '人民币',
            productAsset: '规模',
            productNetValue: '净值',
            productFundManager: 'nobody',
            productCreateTime: '成立时间',
          },
        ],
      }
    },
    mounted: function () {
      const params = [
        {
          ProductId: 10000,
          productProvder: 11,
          productCode: 111,
          productName: '人寿',
          productCurrency: '人民币',
          productAsset: '规模',
          productNetValue: '净值',
          productFundManager: 'nobody',
          productCreateTime: '成立时间',
        },
        {
          ProductId: 10001,
          productProvder: 22,
          productCode: 222,
          productName: '人寿2',
          productCurrency: '人民币',
          productAsset: '规模',
          productNetValue: '净值',
          productFundManager: 'nobody',
          productCreateTime: '成立时间',
        },
        {
          ProductId: 10005,
          productProvder: 22,
          productCode: 222,
          productName: '人寿2',
          productCurrency: '人民币',
          productAsset: '规模',
          productNetValue: '净值',
          productFundManager: 'nobody',
          productCreateTime: '成立时间',
        },
      ]
      this.ProductsList = params
    },
    methods: {
      gotoProductPage: function (e) {
        console.dir(e.currentTarget.id)// 找到对应的id
        // console.log(this.ProductsList[e.currentTarget.id].loanId)
        const id = 1
        this.$router.push({ path: '/financial/productDetail/', params: { id } })
      },
    },
  }
</script>
